Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(1)

Issue 2765443005: [Devtools] Fixed network indicator icon for throttling (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
6 months ago by allada
Modified:
5 months, 3 weeks ago
Reviewers:
dgozman, pfeldman
CC:
chromium-reviews, caseq+blink_chromium.org, lushnikov+blink_chromium.org, pfeldman+blink_chromium.org, apavlov+blink_chromium.org, devtools-reviews_chromium.org, blink-reviews, kozyatinskiy+blink_chromium.org
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

[Devtools] Fixed network indicator icon for throttling This patch fixes and reverts the changes caused here: https://codereview.chromium.org/2692653003. When we moved the checks into network it no longer was able to receive messages when changed from some other panels like timeline or emulation if network was not loaded yet (ie: lazy loaded). R=dgozman,pfeldman@chromium.org BUG=700797 Review-Url: https://codereview.chromium.org/2765443005 Cr-Commit-Position: refs/heads/master@{#460482} Committed: https://chromium.googlesource.com/chromium/src/+/2e7a430d8d88222c04ab3ffb0a143fa85b3cec5b

Patch Set 1 #

Patch Set 2 : added tests #

Unified diffs Side-by-side diffs Delta from patch set Stats (+114 lines, -24 lines) Patch
A third_party/WebKit/LayoutTests/http/tests/inspector/network/network-requestblocking-icon.html View 1 1 chunk +49 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/http/tests/inspector/network/network-requestblocking-icon-expected.txt View 1 1 chunk +37 lines, -0 lines 0 comments Download
M third_party/WebKit/Source/devtools/front_end/main/Main.js View 1 2 chunks +28 lines, -0 lines 0 comments Download
M third_party/WebKit/Source/devtools/front_end/network/NetworkPanel.js View 1 1 chunk +0 lines, -24 lines 0 comments Download
Commit queue not available (can’t edit this change).

Messages

Total messages: 20 (8 generated)
allada
PTL - pfeldman@ are you ok just reverting it or do you want to find ...
6 months ago (2017-03-20 18:36:24 UTC) #1
dgozman
On 2017/03/20 18:36:24, allada wrote: > PTL - pfeldman@ are you ok just reverting it ...
6 months ago (2017-03-20 18:37:47 UTC) #2
pfeldman
did we revert?
5 months, 3 weeks ago (2017-03-27 21:13:50 UTC) #3
dgozman
Yes, this is what we want to do. Go ahead and write the test.
5 months, 3 weeks ago (2017-03-27 23:42:05 UTC) #4
allada
PTL - added tests.
5 months, 3 weeks ago (2017-03-28 01:11:57 UTC) #5
dgozman
lgtm, thank you
5 months, 3 weeks ago (2017-03-28 23:31:39 UTC) #6
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2765443005/20001
5 months, 3 weeks ago (2017-03-28 23:34:11 UTC) #8
commit-bot: I haz the power
Try jobs failed on following builders: ios-simulator on master.tryserver.chromium.mac (JOB_TIMED_OUT, build hasn't started yet, builder ...
5 months, 3 weeks ago (2017-03-29 01:36:11 UTC) #10
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2765443005/20001
5 months, 3 weeks ago (2017-03-29 01:38:55 UTC) #12
commit-bot: I haz the power
Try jobs failed on following builders: win_chromium_rel_ng on master.tryserver.chromium.win (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.win/builders/win_chromium_rel_ng/builds/410362)
5 months, 3 weeks ago (2017-03-29 03:03:26 UTC) #14
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2765443005/20001
5 months, 3 weeks ago (2017-03-29 17:43:46 UTC) #16
commit-bot: I haz the power
5 months, 3 weeks ago (2017-03-29 19:18:16 UTC) #20
Message was sent while issue was closed.
Committed patchset #2 (id:20001) as
https://chromium.googlesource.com/chromium/src/+/2e7a430d8d88222c04ab3ffb0a14...
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld b40b6558b